Subject: Re: [Tools-discuss] Serving a partial documents (was Re: [rfc-i] Citing drafts)

From: Warren Kumari <[email-masked]>
Date: Mon, 1 Mar 2021 15:57:30 -0500

On Fri, Feb 26, 2021 at 7:29 PM HANSEN, TONY L <[email-masked]> wrote:

> On 2/26/2021, 1:39 PM, "Bob Hinden" <[email-masked]> wrote:
>
>     > On Feb 26, 2021, at 10:07 AM, Paul Hoffman <[email-masked]>
> wrote:
>     >
>     > On 26 Feb 2021, at 10:04, Eric Rescorla wrote:
>     >
>     >> On Fri, Feb 26, 2021 at 10:03 AM Robert Sparks <
> [email-masked]> wrote:
>     >>
>     >>> So, I _think_ the way the main document page behaves now was
> intended to
>     >>> protect people on low bandwidth or expensive bandwidth connections
> from
>     >>> very large documents.
>     >>>
>     >>> Is that still something we should consider important? Or would it
> be
>     >>> better if the main page served the whole document all the time?
>     >>>
>     >>
>     >> I think that's largely unnecessary at this time, especially given
> that a
>     >> lot of people currently go to tools which serves the whole thing
>     >
>     > +1 to Robert's memory, and +1 to Ekr's proposal and reasoning.
>
>     Agreed.
>
>     Bob
>
> If you're logged in, you already have control over whether the full
> document is shown be default or not. Preferences -> "Show full document
> text by default?" controls that. I turned it on ages and ages ago.
>

Yah, that is stored in a cookie -- which gets annoying if you delete the
cookie :-)

>
> However, the default has always been Off. Perhaps the default needs to
> become On?
>

Yup, I'd support that.
W

>
>         Tony
>
> ___________________________________________________________
> Tools-discuss mailing list - [email-masked]
> This list is for discussion, not for action requests or bug reports.
> * Report datatracker and mailarchive bugs to: [email-masked]
> * Report tools.ietf.org bugs to: [email-masked]
> * Report all other bugs or issues to: [email-masked]
> List info (including how to Unsubscribe):
> https://www.ietf.org/mailman/listinfo/tools-discuss
>

-- 
The computing scientist’s main challenge is not to get confused by the
complexities of his own making.
  -- E. W. Dijkstra